Skip to main content
POST
/
customers
Create a customer
curl --request POST \
  --url https://payoes.com/api/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "name": "<string>",
  "primary_stellar_address": "<string>",
  "notes": "<string>",
  "metadata": {}
}
'
import requests

url = "https://payoes.com/api/v1/customers"

payload = {
"email": "jsmith@example.com",
"name": "<string>",
"primary_stellar_address": "<string>",
"notes": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
name: '<string>',
primary_stellar_address: '<string>',
notes: '<string>',
metadata: {}
})
};

fetch('https://payoes.com/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "cus_abc123xyz",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "name": "<string>",
  "primary_stellar_address": "<string>",
  "notes": "<string>",
  "metadata": {}
}
{
"error": "Settlement wallet is not configured"
}
{
"error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

API key from the Payoes dashboard (pk_test_... or pk_live_...)

Body

application/json
email
string<email> | null
name
string | null
Maximum string length: 200
primary_stellar_address
string | null

Stellar public key (G...)

notes
string | null
Maximum string length: 2000
metadata
object | null

Response

Customer created

id
string
required
Example:

"cus_abc123xyz"

environment
enum<string>
required
Available options:
sandbox,
production
created_at
string<date-time>
required
updated_at
string<date-time>
required
email
string | null
name
string | null
primary_stellar_address
string | null
notes
string | null
metadata
object | null